Subject: [CFT] Always enable SMP mode on MP capable CPUs

From: [email-masked] (Tony Lindgren)
Date: Wed, 31 May 2017 07:39:15 -0700

* Russell King - ARM Linux <[email-masked]> [170527 06:26]:
> On Fri, May 26, 2017 at 04:52:10PM +0530, afzal mohammed wrote:
> > Hi,
> > 
> > On Thu, May 25, 2017 at 03:13:33PM -0700, Tony Lindgren wrote:
> > 
> > > OK so got my am437x-idk back
> > > 
> > > And as suspected it won't boot with these changes.
> > 
> > Tested here too with your additional changes included & seeing same
> > behavior here as well on AM437x.
> > 
> > As an aside, when Russell posted this patch a week back itself was
> > suspecting this. i had a certain view on AM437x w.r.t SMP issue back
> > while officially working on it & since now not officially involved
> > with the issue at hand, i was uncomfortable dealing with this. But as
> > Russell's patch was not noticed by others w.r.t AM437x, upon being
> > able to confirm it yesterday, i at least wanted to bring it to notice
> > & runaway from the scene.
> 
> Right, so I think the summary is: the kernel can't set the SMP bit
> correctly - it doesn't have the information at this point in time
> to know definitively whether the bit needs to be set or not.
> 
> So, those who are suffering issues with their SMP cores in uniprocessor
> systems need to ensure that their boot loader correctly configures the
> CPU cores.

Russell, current Linux next still has commit e7cf836e9757 ("ARM:
always enable SMP mode on SMP cores"). You're planning to drop
it, right?

It causes a regression on am437x to not boot as we can't set the
SMP bit on it.

Regards,

Tony